sortTiers()
require("prototypes.omnitractor-dynamic")
require("prototypes.recipes.extraction-dynamic")
require("prototypes.recipes.solvation-dynamic")




for _,f in pairs(data.raw.fluid) do
	data.raw.recipe["angels-fluid-splitter-"..f.name]=nil
end

tech_add_recipe_unlock("omni-sorting-electric-1","crushing-omnite")
tech_add_recipe_unlock("omni-sorting-electric-1","pulverize-omnite")

tech_add_recipe_unlock("omnic-hydrolyzation-"..math.floor(omni.fluid_levels/2),"stone-omnisolvent")
tech_add_recipe_unlock("omnic-hydrolyzation-"..math.floor(omni.fluid_levels/2),"omnite-crystalization")

for i = 1, omnimatter.omnitractortiers-1 do
	tech_add_recipe_unlock("omni-sorting-electric-"..i,"base-impure-extraction-"..(i+1))
end

for _,r in pairs(omnisource) do
  for _, gen in pairs(data.raw["resource"]) do
	if gen.minable.result == r.ore.name then
		data.raw.resource[gen.name] = nil
		data.raw["autoplace-control"][gen.name] = nil
		--return
	elseif gen.minable.results  then
		for _,res in pairs(gen.minable.results) do
			if res.name == r.ore.name then
				data.raw.resource[gen.name] = nil
				data.raw["autoplace-control"][gen.name] = nil			
			end
		end
	end
  end
end

for _,r in pairs(omnifluid) do 
  for _, gen in pairs(data.raw["resource"]) do
	if gen.minable.results then
		for _,f in pairs(gen.minable.results) do
			if f.name == r.fluid.name then
				data.raw.resource[gen.name] = nil
				data.raw["autoplace-control"][gen.name] = nil
				--return
			end
		end
	end
  end
end
if bobmods and bobmods.ores then
	require("prototypes.bob-compensation")
end
	data.raw["simple-entity"]["stone-rock"].minable={mining_particle = "stone-particle",mining_time = 8,
	results=
		{
		  {type="item", name="omnite", amount=10, probability=1},
		},
    }
--sortTiers()
if omni.rocket_locked then
--"rocket-silo"
	for _,ore in pairs(omnisource) do
		tech_add_prerequisite("rocket-silo","omni-sorting-"..ore.ore.name.."-"..3*omni.pure_levels_per_tier)
	end
end

--data.raw.technology["coal-liquefaction"]=nil
--data.raw.recipe["coal-liquefaction"]=nil

--require("prototypes.omnitractor-requirements")


--require("migrations.omnimatter_reset")